        !COMPILER-GENERATED INTERFACE MODULE: Thu Nov 13 16:37:32 2014
        MODULE HALLFM__genmod
          INTERFACE 
            SUBROUTINE HALLFM(QQ,Y2,Y4,Y6,F0,F1,F2)
              REAL(KIND=4) :: QQ
              REAL(KIND=4) :: Y2
              REAL(KIND=4) :: Y4
              REAL(KIND=4) :: Y6
              REAL(KIND=4) :: F0
              REAL(KIND=4) :: F1
              REAL(KIND=4) :: F2
            END SUBROUTINE HALLFM
          END INTERFACE 
        END MODULE HALLFM__genmod
